RDCode: DistGeom::ChiralSet Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

# DistGeom::ChiralSet Class Reference

Class used to store a quartet of points and chiral volume bounds on them. More...

`#include <ChiralSet.h>`

List of all members.

## Public Member Functions
| ChiralSet (unsigned int pid1, unsigned int pid2, unsigned int pid3, unsigned int pid4, double lowerVolBound, double upperVolBound)
double | getUpperVolumeBound () const
double | getLowerVolumeBound () const
## Public Attributes
unsigned int | d_idx1
unsigned int | d_idx2
unsigned int | d_idx3
unsigned int | d_idx4
double | d_volumeLowerBound
double | d_volumeUpperBound

## Detailed Description

Class used to store a quartet of points and chiral volume bounds on them.

Definition at line 18 of file ChiralSet.h.

## Constructor & Destructor Documentation

DistGeom::ChiralSet::ChiralSet | ( | unsigned int | pid1,
|  | unsigned int | pid2,
|  | unsigned int | pid3,
|  | unsigned int | pid4,
|  | double | lowerVolBound,
|  | double | upperVolBound |
| ) |  |  | `[inline]`

Definition at line 28 of file ChiralSet.h.

References CHECK_INVARIANT, d_volumeLowerBound, and d_volumeUpperBound.

## Member Function Documentation

double DistGeom::ChiralSet::getUpperVolumeBound | ( |  | ) | const`[inline]`

Definition at line 38 of file ChiralSet.h.

References d_volumeUpperBound.

double DistGeom::ChiralSet::getLowerVolumeBound | ( |  | ) | const`[inline]`

Definition at line 42 of file ChiralSet.h.

References d_volumeLowerBound.

## Member Data Documentation

unsigned int DistGeom::ChiralSet::d_idx1

Definition at line 21 of file ChiralSet.h.

unsigned int DistGeom::ChiralSet::d_idx2

Definition at line 22 of file ChiralSet.h.

unsigned int DistGeom::ChiralSet::d_idx3

Definition at line 23 of file ChiralSet.h.

unsigned int DistGeom::ChiralSet::d_idx4

Definition at line 24 of file ChiralSet.h.

double DistGeom::ChiralSet::d_volumeLowerBound

Definition at line 25 of file ChiralSet.h.

Referenced by ChiralSet(), and getLowerVolumeBound().

double DistGeom::ChiralSet::d_volumeUpperBound

Definition at line 26 of file ChiralSet.h.

Referenced by ChiralSet(), and getUpperVolumeBound().

The documentation for this class was generated from the following file:

- ChiralSet.h